Syncfusion AI Assistant

How can I help you?

Set the disabled state in Vue Radio button component

30 May 20243 minutes to read

RadioButton component can be enabled/disabled by giving disabled property. To disable RadioButton component, the disabled property can be set as true.

The following example illustrates how to disable a radio button and the selected one is displayed using change event.

<template>
  <ul>
    <li>
      <div id="text">Selected: Option 1</div>
    </li>
    <li> <ejs-radiobutton label="Option 1" name="default" checked="true" :change="onChange"></ejs-radiobutton></li>
    <li> <ejs-radiobutton label="Option 2" name="default" disabled="true" :change="onChange"></ejs-radiobutton></li>
    <li> <ejs-radiobutton label="Option 3" name="default" :change="onChange"></ejs-radiobutton></li>
  </ul>
</template>

<script setup>

import { RadioButtonComponent as EjsRadiobutton } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
const onChange = function (args) {
  document.getElementById('text').innerText = 'Selected : ' + args.event.target.ej2_instances[0].label;
}
</script>

<style>
@import '../node_modules/@syncfusion/ej2-base/styles/material.css';
@import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';
;

.e-radio-wrapper {
  margin-top: 18px;
}

li {
  list-style: none;
}

#text {
  font-size: 16px;
}
</style>
<template>
<ul>
<li><div id="text">Selected: Option 1</div></li>
<li> <ejs-radiobutton label="Option 1" name="default" checked="true" :change="onChange" ></ejs-radiobutton></li>
<li> <ejs-radiobutton label="Option 2" name="default" disabled="true" :change="onChange"></ejs-radiobutton></li>
<li> <ejs-radiobutton label="Option 3" name="default" :change="onChange"></ejs-radiobutton></li>
</ul>
</template>

<script>
import { RadioButtonComponent } from '@syncfusion/ej2-vue-buttons';
import { enableRipple } from '@syncfusion/ej2-base';

enableRipple(true);
export default {
name: "App",
components: {
"ejs-radiobutton":RadioButtonComponent
},
  methods: {
    onChange: function(args) {
      document.getElementById('text').innerText = 'Selected : ' + args.event.target.ej2_instances[0].label;
    }
  }
};
</script>

<style>
  @import '../node_modules/@syncfusion/ej2-base/styles/material.css';
  @import '../node_modules/@syncfusion/ej2-buttons/styles/material.css';;

.e-radio-wrapper {
  margin-top: 18px;
}

li {
  list-style: none;
}

#text {
  font-size: 16px;
}

</style>

HelpBot Assistant

How can I help you?

Set the disabled state in Angular Radio button component

27 Apr 20244 minutes to read

RadioButton component can be enabled/disabled by giving disabled property. To disable RadioButton component, the disabled property can be set as true.

The following example illustrates how to disable a radio button and the selected one is displayed using change event.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { RadioButtonModule } from '@syncfusion/ej2-angular-buttons'
import { enableRipple } from '@syncfusion/ej2-base'




import { Component, ViewChild } from '@angular/core';
import { ChangeEventArgs, RadioButtonComponent } from '@syncfusion/ej2-angular-buttons';

@Component({
imports: [
        
        RadioButtonModule
    ],


standalone: true,
    selector: 'app-root',
    // To customize RadioButton appearance
    template: `<div class="e-section-control">
                <ul>
                  <li>
                      <div id="text">Selected : Option 1</div>
                  </li>
                  <li>
                      <ejs-radiobutton #radio1 label="Option 1" name="default" checked="true" (change)='changeOption1($event)'></ejs-radiobutton>
                  </li>
                  <li>
                      <ejs-radiobutton #radio2 label="Option 2" name="default"  disabled="true" (change)='changeOption2($event)'></ejs-radiobutton>
                  </li>
                  <li>
                      <ejs-radiobutton #radio3 label="Option 3" name="default" (change)='changeOption3($event)'></ejs-radiobutton>
                  </li>
               </ul>
               </div>`
})

export class AppComponent {
    @ViewChild('radio1')
    public radio1?: RadioButtonComponent;
    @ViewChild('radio2')
    public radio2?: RadioButtonComponent;
    @ViewChild('radio3')
    public radio3?: RadioButtonComponent;
    public changeOption1 (args: ChangeEventArgs) {
        document.getElementById('text')!.innerText = 'Selected : ' + this.radio1!.label;
    }
    public changeOption2 (args: ChangeEventArgs) {
        document.getElementById('text')!.innerText = 'Selected : ' + this.radio2!.label;
    }
    public changeOption3 (args: ChangeEventArgs) {
        document.getElementById('text')!.innerText = 'Selected : ' + this.radio3!.label;
    }
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Syncfusion AI Assistant

How can I help you?

Set the disabled state in React Radio button component

2 Mar 20265 minutes to read

Prevent user interaction with a RadioButton by setting the disabled property to true. When disabled, the RadioButton appears grayed out and cannot be selected by the user, though it remains visible in the UI.

The following example demonstrates how to disable a RadioButton and display the selected state using the change event.

import { enableRipple } from '@syncfusion/ej2-base';
import { RadioButtonComponent } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';
enableRipple(true);
// To render RadioButton.
function App() {
    let radioInstance1;
    let radioInstance2;
    let radioInstance3;
    function changeOption1() {
        document.getElementById('text').innerText = 'Selected : ' + radioInstance1.label;
    }
    function changeOption2() {
        document.getElementById('text').innerText = 'Selected : ' + radioInstance2.label;
    }
    function changeOption3() {
        document.getElementById('text').innerText = 'Selected : ' + radioInstance3.label;
    }
    return (<ul>
      <li><div id="text">Selected : Option 1</div></li>
      <li><RadioButtonComponent label="Option 1" name="default" checked={true} change={changeOption1} ref={radio1 => radioInstance1 = radio1}/></li>
      <li><RadioButtonComponent label="Option 2" name="default" disabled={true} change={changeOption2} ref={radio2 => radioInstance2 = radio2}/></li>
      <li><RadioButtonComponent label="Option 3" name="default" change={changeOption3} ref={radio3 => radioInstance3 = radio3}/></li>
      </ul>);
}
export default App;
ReactDom.render(<App />, document.getElementById('radio-button'));
import { enableRipple } from '@syncfusion/ej2-base';
import { RadioButtonComponent, ChangeEventArgs } from '@syncfusion/ej2-react-buttons';
import * as React from 'react';
import * as ReactDom from 'react-dom';

enableRipple(true);

// To render RadioButton.
function App() {
    let radioInstance1: RadioButtonComponent;
    let radioInstance2: RadioButtonComponent;
    let radioInstance3: RadioButtonComponent;
    function changeOption1(): void {
      (document.getElementById('text') as HTMLElement).innerText = 'Selected : ' + radioInstance1.label;
    }
  
    function changeOption2(): void {
        (document.getElementById('text') as HTMLElement).innerText = 'Selected : ' + radioInstance2.label;
    }
  
    function changeOption3(): void {
        (document.getElementById('text') as HTMLElement).innerText = 'Selected : ' + radioInstance3.label;
    }
  
    return (
      <ul>
      <li><div id="text">Selected : Option 1</div></li>
      <li><RadioButtonComponent label="Option 1" name="default"  checked={true} change={changeOption1} ref={radio1 => radioInstance1 = radio1 as RadioButtonComponent}/></li>
      <li><RadioButtonComponent label="Option 2" name="default" disabled={true} change={changeOption2} ref={radio2 => radioInstance2 = radio2 as RadioButtonComponent}/></li>
      <li><RadioButtonComponent label="Option 3" name="default" change={changeOption3} ref={radio3 => radioInstance3 = radio3 as RadioButtonComponent}/></li>
      </ul>
    );
  }
export default App;
ReactDom.render(<App />, document.getElementById('radio-button'));